Name: libmthca
Version: 1.0.6
Release: 1%{?dist}
Summary: Mellanox InfiniBand HCA Userspace Driver
Provides: libibverbs-driver.%{_arch}
Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://openfabrics.org/
Source: http://openfabrics.org/downloads/mthca/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Provides: %{name}-devel = %{version}-%{release}
ExcludeArch: s390 s390x
BuildRequires: libibverbs-devel > 1.1.4
%ifnarch ia64
BuildRequires: valgrind-devel
%endif

%description
libmthca provides a device-specific userspace driver for Mellanox HCAs
(MT23108 InfiniHost and MT25208 InfiniHost III Ex) for use with the
libibverbs library.

%package static
Summary: Development files for the libmthca driver
Group: System Environment/Libraries
Provides: %{name}-devel-static = %{version}-%{release}
Obsoletes: %{name}-devel-static <= 1.0.5-3
Requires: %{name} = %{version}-%{release}

%description static
Static version of libmthca that may be linked directly to an
application, which may be useful for debugging.

%prep
%setup -q

%build
%ifnarch ia64
%configure --with-valgrind
%else
%configure
%endif
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/libmthca.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libmthca-rdmav2.so
%{_sysconfdir}/libibverbs.d/mthca.driver
%doc AUTHORS COPYING ChangeLog README

%files static
%defattr(-,root,root,-)
%{_libdir}/libmthca.a

%changelog
* Thu Aug 09 2012 Doug Ledford <dledford@redhat.com> - 1.0.6-1.el5
- Backport rhel6.3 changes to rhel5.9
- Related: bz771441

* Thu Feb 18 2010 Doug Ledford <dledford@redhat.com> - 1.0.5-6.el5
- Add pseudo provides of libibverbs-driver
- Related: bz559789

* Mon Dec 21 2009 Doug Ledford <dledford@redhat.com> - 1.0.5-5.el5
- Update to new libibverbs API
- Pick up currently accepted but not yet released patches from upstream repo
- Related: bz518218

* Mon Jun 22 2009 Doug Ledford <dledford@redhat.com> - 1.0.5-4.el5
- Rebuild against libibverbs that isn't missing the proper ppc wmb() macro
- Related: bz506258

* Sun Jun 21 2009 Doug Ledford <dledford@redhat.com> - 1.0.5-3.el5
- Compile again non-XRC libibverbs
- Enable valgrind annotations
- Related: bz504284, bz506258

* Thu Apr 16 2009 Doug Ledford <dledford@redhat.com> - 1.0.5-2.el5.xrc
- Update tarball to ofed 1.4.1-rc3 tarball so it compiles cleanly with the
  xrc enabled libibverbs
- Related: bz459652

* Tue Sep 16 2008 Doug Ledford <dledford@redhat.com> - 1.0.5-1
- Update to latest upstream version
- Resolves: bz451458

* Thu Feb 14 2008 Doug Ledford <dledford@redhat.com> - 1.0.4-9
- Obsolete the old -devel package, it's been replaced by the -static package
- Resolves: bz432765

* Fri Jan 25 2008 Doug Ledford <dledford@redhat.com> - 1.0.4-8
- Bump to a number greater than that released in 5.1

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 1.0.4-1
- Ressurect package and update to latest version
- Related: bz428197

* Thu Mar 29 2007 Doug Ledford <dledford@redhat.com> - 1.0.3-2
- Put the static lib in a package named static
- Small touchups to the spec file

* Wed Jul 26 2006 Roland Dreier <rdreier@cisco.com> - 1.0.3-1
- New upstream release

* Mon Mar 14 2006 Roland Dreier <rdreier@cisco.com> - 1.0.2-1
- New upstream release

* Thu Feb 16 2006 Roland Dreier <rdreier@cisco.com> - 1.0-1
- New upstream release

* Sun Feb 15 2006 Roland Dreier <rolandd@cisco.com> - 1.0-0.5.rc7
- New upstream release

* Sun Jan 22 2006 Roland Dreier <rolandd@cisco.com> - 1.0-0.4.rc6
- New upstream release

* Tue Oct 25 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.3.rc5
- New upstream release

* Wed Oct  5 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.2.rc4
- Update to upstream 1.0-rc4 release

* Mon Sep 26 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.1.rc3
- Initial attempt at Fedora Extras-compliant spec file
